| Home | Libraries | People | FAQ | More

## Function template erase_last

boost::algorithm::erase_last — Erase last algorithm.

## Synopsis

    template<typename SequenceT, typename CollectionT>
      void erase_last(SequenceT & Input, const CollectionT & Search);

## Description

Remove the last occurence of the substring from the input. The input sequence is modified in-place.

Parameters

Input

  An input string

Search

  A substring to be searched for

| Copyright © 2002-2004 Pavol Droba